//app.js
App({
  onLaunch: function () {
    this.checkIsIPhoneX();
  },
  checkIsIPhoneX: function () {
    const self = this
    wx.getSystemInfo({
      success: function (res) {
        // 根据 model 进行判断
        if (res.model.search('iPhone X') != -1) {
          self.globalData.isIPX = true
        }
        //获取设备顶部窗口的高度（不同设备窗口高度不一样，根据这个来设置自定义导航栏的高度）
        //这个最初我是在组件中获取，但是出现了一个问题，当第一次进入小程序时导航栏会把
        //页面内容盖住一部分,当打开调试重新进入时就没有问题，这个问题弄得我是莫名其妙
        //虽然最后解决了，但是花费了不少时间
        self.globalData.height = res.statusBarHeight
      }
    })
  },
  globalData: {
    height: 0,
    isIPX: false, // 当前设备是否为 iPhone X
    searchData: null
  }
})