/**
 * 接口地址api，
 * 接口文档链接：http://www.xiaoyaoji.cn/doc/IxnvWtmCX
 */
const cfg = require(`./config.js`);
const api = cfg.api();
const apis = {
  api_get_openid: `${api}/miniprogram/get-openid`,
  api_get_unionid: `${api}/miniprogram/get-unionid`,
  api_get_mobile_prefix: `${api}/common/address`,
  api_send_code: `${api}/common/user/verification`,

  api_video_hit: `${api}/miniprogram/find/video-hit`, // 更新视频阅读量
  api_apply_info: `${api}/hops/user/order/applyInfo.do`, // 申请详情
  api_apply_list: `${api}/hops/user/order/appliedList.do`, // 申请列表
  api_phone_login: `${api}/common/user/mobile-code`, //手机号快捷登录
  api_get_auth: `${api}/common/wx/mobile-login`, // 微信登录
  api_get_collect: `${api}/miniprogram/find/my-collection`, //我的收藏
  api_apply_order: `${api}/common/order/apply-order`, // 添加下单申请表
  api_house_collect: `${api}/common/user/collection`, // 收藏
  api_house_cancel_collect: `${api}/common/user/cancel-collection`, // 取消收藏

  api_house_item_detail: `${api}/miniprogram/v2/house/item-detail`, // 获取房源详情-弹出页
  api_all_house: `${api}/miniprogram/v2/house/item-list`, // 获取房源详情-房源列表
  api_house_detail: `${api}/miniprogram/home/building-detail`, // 获取房源详情
  api_video_list: `${api}/miniprogram/find/video-list`, // 获取视频列表数据
  api_index_home: `${api}/miniprogram/home/index`, // 获取home数据
  api_house_list: `${api}/miniprogram/home/house-list`, // 获取房源列表
  api_filter_house: `${api}/miniprogram/home/list-filter`, // 获取房源列表检索条件
  api_search_house: `${api}/common/search/querycomplete`, // 搜索房源
  api_get_cities: `${api}/common/address`, // 国家城市
  api_get_video_detail: `${api}/miniprogram/find/video-details`, // 视频详情
  api_get_QR: `${api}/miniprogram/hooli-help/get-qrcode` // 海报二维码

};
module.exports = apis;